/*
 * Moonlight|3D
 * Copyright (C) 2008 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * Created on Nov 1, 2008
 */

package eu.moonlight3d.common.document.extensible;

import org.w3c.dom.Document;
import org.w3c.dom.Element;

import eu.moonlight3d.framework.helper.PropertyContainer;

public interface DocumentContributionFactory {
	public String getName();
	public void registerNewContributionProperties(PropertyContainer container);
	public DocumentContribution getNewContribution(ExtensibleDocument document, PropertyContainer properties);
	public DocumentContribution readContribution(ExtensibleDocument document, Document documentFile, Element contribution);
}
