/*
 * Moonlight|3D Copyright (C) 2006 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 * 
 * Created on May 18, 2006
 */
package eu.moonlight3d.common.image.openexr;


import com.trolltech.qt.core.Qt;
import com.trolltech.qt.gui.QLabel;
import com.trolltech.qt.gui.QVBoxLayout;
import com.trolltech.qt.gui.QWidget;

import eu.moonlight3d.framework.localization.L10N;
import eu.moonlight3d.framework.ui.AboutDialogPageFactory;

public class AboutEXRPage implements AboutDialogPageFactory {

	public void generateAboutDialogPage(QWidget parent) {
        QLabel label = new QLabel(parent);
        label.setText(L10N.translate("This program contains\nexrforjava\n(C) 2007 Mario Fichtenmayer"));
    	QVBoxLayout layout=new QVBoxLayout(parent);
    	layout.addWidget(label,1,Qt.AlignmentFlag.AlignCenter);
        parent.setLayout(layout);
	}

	public String getName() {
		return L10N.translate("About exrforjava");
	}

}
