/*
 * Moonlight|3D Copyright (C) 2006 The Moonlight|3D team
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 * 
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 * 
 * Created on Oct 21, 2006
 */
package eu.moonlight3d.framework.ui;

import com.trolltech.qt.gui.QColor;
import com.trolltech.qt.gui.QPalette;

public class UIPalette extends QPalette {
	public UIPalette() {
		// fill palette with custom colors
		setColor(QPalette.ColorGroup.Disabled,QPalette.ColorRole.Window,new QColor(48,47,47));
		setColor(QPalette.ColorGroup.Disabled,QPalette.ColorRole.WindowText,new QColor(224,223,220));
		setColor(QPalette.ColorGroup.Disabled,QPalette.ColorRole.Base,new QColor(32,31,30));
		setColor(QPalette.ColorGroup.Disabled,QPalette.ColorRole.AlternateBase,new QColor(52,51,50));
		setColor(QPalette.ColorGroup.Disabled,QPalette.ColorRole.Button,new QColor(64,63,62));
		setColor(QPalette.ColorGroup.Disabled,QPalette.ColorRole.Highlight,new QColor(39,95,160));

		setColor(QPalette.ColorGroup.Active,QPalette.ColorRole.Window,new QColor(48,47,47));
		setColor(QPalette.ColorGroup.Active,QPalette.ColorRole.WindowText,new QColor(224,223,220));
		setColor(QPalette.ColorGroup.Active,QPalette.ColorRole.Base,new QColor(32,31,30));
		setColor(QPalette.ColorGroup.Active,QPalette.ColorRole.AlternateBase,new QColor(52,51,50));
		setColor(QPalette.ColorGroup.Active,QPalette.ColorRole.Text,new QColor(224,223,220));
		setColor(QPalette.ColorGroup.Active,QPalette.ColorRole.Button,new QColor(64,63,62));
		setColor(QPalette.ColorGroup.Active,QPalette.ColorRole.ButtonText,new QColor(224,223,220));
		setColor(QPalette.ColorGroup.Active,QPalette.ColorRole.Highlight,new QColor(39,95,160));
		setColor(QPalette.ColorGroup.Active,QPalette.ColorRole.HighlightedText,QColor.white);
		setColor(QPalette.ColorGroup.Active,QPalette.ColorRole.BrightText,new QColor(224,223,220));
		setColor(QPalette.ColorGroup.Active,QPalette.ColorRole.Link,new QColor(0,0,192));
		setColor(QPalette.ColorGroup.Active,QPalette.ColorRole.LinkVisited,new QColor(128,0,128));

		setColor(QPalette.ColorGroup.Inactive,QPalette.ColorRole.Window,new QColor(48,47,47));
		setColor(QPalette.ColorGroup.Inactive,QPalette.ColorRole.WindowText,new QColor(224,223,220));
		setColor(QPalette.ColorGroup.Inactive,QPalette.ColorRole.Base,new QColor(32,31,30));
		setColor(QPalette.ColorGroup.Inactive,QPalette.ColorRole.AlternateBase,new QColor(52,51,50));
		setColor(QPalette.ColorGroup.Inactive,QPalette.ColorRole.Text,new QColor(224,223,220));
		setColor(QPalette.ColorGroup.Inactive,QPalette.ColorRole.Button,new QColor(64,63,62));
		setColor(QPalette.ColorGroup.Inactive,QPalette.ColorRole.ButtonText,new QColor(224,223,220));
		setColor(QPalette.ColorGroup.Inactive,QPalette.ColorRole.Highlight,new QColor(39,95,160));
		setColor(QPalette.ColorGroup.Inactive,QPalette.ColorRole.HighlightedText,QColor.white);
		setColor(QPalette.ColorGroup.Inactive,QPalette.ColorRole.BrightText,new QColor(224,223,220));
		setColor(QPalette.ColorGroup.Inactive,QPalette.ColorRole.Link,new QColor(0,0,192));
		setColor(QPalette.ColorGroup.Inactive,QPalette.ColorRole.LinkVisited,new QColor(128,0,128));
		
		disableGarbageCollection();
	}
}
